repo/gentoo:master commit in: www-apps/chromedriver-bin/

"Matt Jolly" <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1787042905.f71a6afe09ad2a1760c0a4f5f2f4cb60dd8374ea.kangie@gentoo>
commit:     f71a6afe09ad2a1760c0a4f5f2f4cb60dd8374ea
Author:     Matt Jolly <kangie <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 18 08:48:01 2026 +0000
Commit:     Matt Jolly <kangie <AT> gentoo <DOT> org>
CommitDate: Tue Aug 18 08:48:25 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f71a6afe

www-apps/chromedriver-bin: add autounmask protection

Signed-off-by: Matt Jolly <kangie <AT> gentoo.org>

 www-apps/chromedriver-bin/chromedriver-bin-151.0.7922.108.ebuild | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/www-apps/chromedriver-bin/chromedriver-bin-151.0.7922.108.ebuild b/www-apps/chromedriver-bin/chromedriver-bin-151.0.7922.108.ebuild
index dfbb34c99366..501cb491192b 100644
--- a/www-apps/chromedriver-bin/chromedriver-bin-151.0.7922.108.ebuild
+++ b/www-apps/chromedriver-bin/chromedriver-bin-151.0.7922.108.ebuild
@@ -23,6 +23,11 @@ BDEPEND="app-arch/unzip"
 
 QA_PREBUILT="usr/bin/chromedriver"
 
+pkg_pretend() {
+	# Protect against people using autounmask overzealously
+	use amd64 || die "${PN} only works on supported architectures (amd64)."
+}
+
 src_install() {
 	dobin chromedriver
 }
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.